<!DOCTYPE html>
<html>
<head>
    <script>
        function mock() \{
            fetch(window.location, \{method: 'post'\})
                .then(() => window.location.reload(false));
        \}
    </script>
    <link rel="stylesheet" href="/style.css" />
    <style>
        #messages {
            display: flex;
            flex-direction: column;
            align-items: end;
        }

        #messages .message {
            max-width: 80%;
            display: block;
            padding-bottom: 20px;
        }

        #messages .message .message-received {
            color: darkgray;
            font-size: 80%;
            padding-bottom: 3px;
        }

        #messages .message .message-text {
            background-color: limegreen;
            color: white;
            padding: 10px;
            border-radius: 10px;
        }

        #messages .message .message-text a {
            color: inherit;
        }

        #navigation-back {
            position: absolute;
            left: 25px;
            text-decoration: none;
            color: lightskyblue;
            font-size: 120%;
            font-weight: lighter;
        }
    </style>
</head>
<body>
<div id="phone">
    <div id="headline">
        <a id="navigation-back" href="/{recipientNumber}">&lt;</a>
        {recipientNumber}
    </div>
    <div id="content">
        <div id="messages">
            {#for message in messages}
                <div class="message">
                <div class="message-received">{message.received}</div>
                <div class="message-text">{message.text.raw}</div>
                </div>
            {/for}
            {#if messages.isEmpty()}
                No messages
            {/if}
        </div>
    </div>
</div>
<div id="mock" onclick="mock()">
    +
</div>
</body>
</html>
